: Interface nsIMdbRow

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.storage.mdb
Interface nsIMdbRow

public abstract interface nsIMdbRow
extends nsIMdbCollection

Method Summary
`void` | `AddCell(nsIMdbEnv ev, grendel.storage.mdb.nsIMdbCell inCell)`
`void` | `AddColumn(nsIMdbEnv ev, int inColumn, java.lang.String inYarn)`
`void` | `AddRow(nsIMdbEnv ev, nsIMdbRow ioSourceRow)`
`void` | `CutAllColumns(nsIMdbEnv ev)`
`void` | `CutColumn(nsIMdbEnv ev, int inColumn)`
`void` | `EmptyAllCells(nsIMdbEnv ev)`
`grendel.storage.mdb.nsIMdbCell` | `GetCell(nsIMdbEnv ev, int inColumn)`
`grendel.storage.mdb.nsIMdbRowCellCursor` | `GetRowCellCursor(nsIMdbEnv ev, int inRowPos)`
`grendel.storage.mdb.nsIMdbCell` | `NewCell(nsIMdbEnv ev, int inColumn)`
`void` | `SetRow(nsIMdbEnv ev, nsIMdbRow ioSourceRow)`

Methods inherited from interface grendel.storage.mdb.nsIMdbCollection
`BecomeContent, DropActivity, GetCount, GetCursor, GetOid, GetPort, GetSeed`

Methods inherited from interface grendel.storage.mdb.nsIMdbObject
`CloseMdbObject, GetMdbFactory, IsFrozenMdbObject, IsOpenMdbObject`

Method Detail

### GetRowCellCursor

    public grendel.storage.mdb.nsIMdbRowCellCursor GetRowCellCursor(nsIMdbEnv ev,
                                                                    int inRowPos)

### AddColumn

    public void AddColumn(nsIMdbEnv ev,
                          int inColumn,
                          java.lang.String inYarn)

### CutColumn

    public void CutColumn(nsIMdbEnv ev,
                          int inColumn)

### CutAllColumns

    public void CutAllColumns(nsIMdbEnv ev)

### NewCell

    public grendel.storage.mdb.nsIMdbCell NewCell(nsIMdbEnv ev,
                                                  int inColumn)

### AddCell

    public void AddCell(nsIMdbEnv ev,
                        grendel.storage.mdb.nsIMdbCell inCell)

### GetCell

    public grendel.storage.mdb.nsIMdbCell GetCell(nsIMdbEnv ev,
                                                  int inColumn)

### EmptyAllCells

    public void EmptyAllCells(nsIMdbEnv ev)

### AddRow

    public void AddRow(nsIMdbEnv ev,
                       nsIMdbRow ioSourceRow)

### SetRow

    public void SetRow(nsIMdbEnv ev,
                       nsIMdbRow ioSourceRow)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD